package m05bGruposEJB;
import java.rmi.RemoteException;
import javax.ejb.*;
import m05bBD.m05bGrupos;


/**
 * This is the Remote Interface for the Entity EJB <tt>M05GruposEB</tt>.
 *
 * @see     m05.exe.Grupos
 * @see     m05.exe.M05GruposEBHome
 * @see     m05.exe.M05GruposEBPK
 * @see     m05.exe.M05GruposEBBean
 */
public interface m05Grupos extends EJBObject{

  public String getGru_codigo()throws RemoteException;
  public void setGru_codigo(String n)throws RemoteException;

  public String getGru_nombre()throws RemoteException;
  public void setGru_nombre(String n)throws RemoteException;

  public String getGru_rango()throws RemoteException;
  public void setGru_rango(String n)throws RemoteException;
  public String getGru_nombreEu()throws RemoteException;
  public void setGru_nombreEu(String n)throws RemoteException;

  /**
   * Returns the Grupos information of this E-EJB.
   */
  public m05bGrupos getGrupos()
    throws RemoteException;

  /**
   * Sets the Parametro information of this E-EJB.
   * @exception P2GException
   *              If the given Grupos <tt>gru_codigo</tt> field
   *              does not match the primary key that is in the E-EJB.
   */

}